Bug 69708 - Errata and Packages Upgrades
Errata and Packages Upgrades
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
high Severity high
: ---
: ---
Assigned To: Greg DeKoenigsberg
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2002-07-24 14:27 EDT by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-24 17:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-24 14:27:29 EDT
Description of Problem:

When I go to the rhn website and login, I chose specific erratas and then 
Update Selected Erratas.

It updates everything including the packages.

This is not suppose to happen.  It is destructive and it compromises certain 
applications which are dependent on a previous version of a package.

Extremely disappointed.

Frank Mancini

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:

Actual Results:

Expected Results:

Additional Information:
Comment 1 Josef Komenda 2002-07-24 17:32:57 EDT
We appreciate that you took the time to file a bug report, and would like to
understand what went wrong, so that we can prevent it from happening in the
future. However, the way your bug report reads, it sounds as if you were unaware
that Errata usually include packages that are designed to fix whatever the
Errata addresses (security fix, product enhancement, etc...). For example:

RHSA-2002:127-18  Security Advisory  Updated OpenSSH packages fix various
security issues

Contains 6 packages that need to be upgraded: 

If this is not the case, then I apologize for the misunderstanding on our part.
Unfortunately, there are not enough details to do anything helpful with this bug
report. If you could take a moment:
 - what is your userID?
 - What system were you trying to apply errata to?
 - what page (URL) were you on when you 'chose specific erratas'. 
 - What were the Errata you selected?
 - what packages, besides the ones in the errata you selected, were pushed to
the system in question?

Thank you for your assistance in this manner, and for using the Red Hat Network. 
Comment 2 Josef Komenda 2002-08-06 17:44:50 EDT
No follow-up, so closing.
Comment 3 Need Real Name 2002-08-07 00:33:55 EDT
If I was not clear I apolagize.

It is simple, I understand that with certain erratas some of the packages may 
get updated as well.  However, I am addressing a different problem.

Example if there are erratas addressing Apache then I would select them and 
apply them.  I then discover then aside from the erratas all the packages 
listed as upgradable have also been installed.

I suppose now the problem is clear!

My user id is irg

The problem no longer exists now since I have manually upgraded all of the 
machines listed in my account manually.

When I login into the account at one point it would list example:

17 Erratas - 250 Packages

My action would be to address the erratas only, however when I would log back 
into RHN I would find out that the 17 Erratas as well as the 250 packages were 

I believe that is wrong and it should be addressed.



Note You need to log in before you can comment on or make changes to this bug.